summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rw-r--r--tests/test-menus.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/tests/test-menus.sh b/tests/test-menus.sh
new file mode 100644
index 0000000..58b2ba5
--- /dev/null
+++ b/tests/test-menus.sh
@@ -0,0 +1,12 @@
+basedir=$(dirname "`dirname $0`")
+source $basedir/src/core/libs/lib-ui.sh
+ANSWER="/tmp/.dialog-answer"
+
+
+var_UI_TYPE=dia
+ask_option no 'menu title is this yes yes' tagA itemA "tag B" 'item B' tag-c item\ C
+echo "return code was $?"
+
+var_UI_TYPE=cli
+ask_option tag-c 'menu title is this yes yes' tagA itemA "tag B" 'item B' tag-c item\ C
+echo "return code was $?" \ No newline at end of file